use clap::ValueEnum;

#[derive(Copy, Clone, PartialEq, Eq, PartialOrd, Ord, ValueEnum)]
pub enum ColorType{
    Clut4,
    Clut8,
    Full16,
}

#[derive(Copy, Clone, PartialEq, Eq, PartialOrd, Ord, ValueEnum)]
pub enum ClutAlignment {
    None,
    Linear,
    Block
}

#[allow(non_snake_case)]
pub mod SemiTransparent {
    pub type               Type = bool;
    pub const NAME:&'static str = "semi-trans";
}

#[allow(non_snake_case)]
pub mod TransparentPalette {
    pub type Type = bool;
    pub const NAME:&'static str = "";
}
